import { RemixTooltip } from './widget/tooltip.js';
import { ChallengeBase } from '../challenge/base.js';
import Dialog from '../editor/dialogs/dialog.js';
export interface IRemixSuggestion {
    title: string;
    target: string;
    content: string;
}
export interface IRemixSample {
    img: string;
    description: string;
}
export interface IRemix {
    instruction: string;
    app: any;
    suggestions: IRemixSuggestion[];
    samples: IRemixSample[];
    title?: string;
    nextChallengeButton?: string | Boolean;
    icon?: {
        getDomNode(): HTMLElement;
    };
}
export declare class Remix extends ChallengeBase {
    protected dialog?: Dialog;
    data?: IRemix;
    protected tooltip: RemixTooltip | null;
    start(): void;
    selectSuggestion(suggestion: IRemixSuggestion): void;
    deselectSuggestion(): void;
    stop(): void;
    dispose(): void;
}
